# Generated by Django 4.1.1 on 2023-06-18 19:29

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0003_repair_time_counter'),
    ]

    operations = [
        migrations.CreateModel(
            name='History_repair',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('last_update', models.DateTimeField()),
                ('phrase', models.CharField(blank=True, max_length=255, null=True)),
                ('User', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='repair_history_user', to=settings.AUTH_USER_MODEL)),
                ('repair', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='repair_history_repair', to='base.repair')),
            ],
        ),
    ]
